package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 住院病历信息
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@Data
public class BehospitalAnalysisDTO implements Serializable {

    /**
     * 病历等级
     */
    @Excel(name = "病历等级")
    private String level;

    /**
     * 最后得分
     */
    @Excel(name = "病历得分")
    private Double scoreRes;

    /**
     * 病人住院ID
     */
    @Excel(name = "病人住院序号",width = 12d)
    private String behospitalCode;

    /**
     * 档案号
     */
    @Excel(name = "病案号")
    private String fileCode;

    /**
     * 姓名
     */
    @Excel(name = "病人姓名")
    private String name;


    /**
     * 年龄
     */
    @Excel(name = "年龄")
    private String age = "";


    /**
     * 入院时间
     */
    @Excel(name = "入院日期", exportFormat = "yyyy/MM/dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date behospitalDate;

    /**
     * 出院时间
     */
    @Excel(name = "出院日期", exportFormat = "yyyy/MM/dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date leaveHospitalDate;

    /**
     * 医生姓名
     */
    @Excel(name = "主管医生",width = 12d)
    private String doctorName;

    /**
     * 住院科室名称
     */
    @Excel(name = "科室")
    private String behDeptName;

    private String behDoctorName;


    /**
     * 评分时间
     */
    @Excel(name = "评分时间", exportFormat = "yyyy/MM/dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date gradeTime;
}
