package com.diagbot.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @Description:
 * @Author: cy
 * @time: 2021/12/2 11:04
 */
@Data
public class BehospitalCodeDetail {

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 档案号
     */
    private String fileCode;

    /**
     * 入院时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date behospitalDate;

    /**
     * 出院时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date leaveHospitalDate;


    /**
     * 医生姓名
     */
    private String doctorName;

    /**
     * 年龄
     */
    private String age;

    /**
     * 病历等级
     */
    private String level;

    /**
     * 最后得分
     */
    private Double scoreRes;

    /**
     * 评分时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date gradeTime;

    List<QcResultDetailInfo> qcResultDetailInfos;
}
