package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 住院病历信息
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@Data
public class BehospitalInfoDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 住院科室名称
     */
    @Excel(name = "科室", mergeVertical = true, width = 25d, orderNum = "1")
    private String behDeptName;


    /**
     * 医生姓名
     */
    @Excel(name = "主管医生", orderNum = "2")
    private String doctorName;


    private String behDoctorName;
    /**
     * 姓名
     */
    @Excel(name = "患者姓名", orderNum = "3")
    private String name;

    /**
     * 档案号
     */
    @Excel(name = "病案号", orderNum = "4")
    private String fileCode;

    /**
     * 年龄
     */
    @Excel(name = "年龄", orderNum = "5")
    private String age = "";


    /**
     * 入院时间
     */
    @Excel(name = "入院时间", orderNum = "6", exportFormat = "yyyy/MM/dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date behospitalDate;

    /**
     * 出院时间
     */
    @Excel(name = "出院时间", orderNum = "7", exportFormat = "yyyy/MM/dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date leaveHospitalDate;


    /**
     * 最后得分
     */
    @Excel(name = "病历得分", orderNum = "8")
    private Double scoreRes;

    /**
     * 病历等级
     */
    @Excel(name = "病历等级", orderNum = "9")
    private String level;

    /**
     * 评分时间
     */
    @Excel(name = "评分时间", orderNum = "10", exportFormat = "yyyy/MM/dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date gradeTime;


    /**
     * 病人住院ID
     */
    private String behospitalCode;


    /**
     * 性别
     */
    private String sex;

    /**
     * 出生日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthday;

    /**
     * 病区名称
     */
    private String wardName;

    /**
     * 床位号
     */
    private String bedCode;


    /**
     * 疾病名称
     */
    private String diagnose;


    /**
     * 病案首页得分
     */
    private Double scoreBn;

    /**
     * 评分类型(1：机器，2：人工)
     */
    private String gradeType;


    private String directorDoctorName;



    /**
     * 归档时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date placefileDate;

    private Integer checkStatus;
    private Integer mrStatus;
    private String chName;
    private String mrName;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date chTime;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date mrTime;
}
