package com.diagbot.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description:
 * @author: wangsy
 * @time: 2021/5/13 15:00
 */
@Getter
@Setter
public class CheckWorkDTO {

    /**
     * 病人住院序号
     */
    private String behospitalCode;

    /**
     * 病人姓名
     */
    private String name;


    /**
     * 病案号
     */
    private String fileCode;

    /**
     * 性别
     */
    private String sex;

    /**
     * 年龄
     */
    private String age;
    private String ageYear;
    private String ageMon;
    private String ageDay;

    /**
     * 科室
     */
    private String behDeptName;

    /**
     * 出院日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date leaveHospitalDate;

    /**
     * 住院天数
     */
    private String behospitalDayNum;

    /**
     * 主管医生
     */
    private String doctorName;

    /**
     * 病历等级
     */
    private String level;

    /**
     * 病历得分
     */
    private String scoreRes;

    /**
     * 主诊断
     */
    private String diagnose;

    /**
     * 筛选分值
     */
    private String score;

    /**
     * 生成状态
     */
    private String creatStatus;

    /**
     * 生成日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date jobCreateTime;

    /**
     * 核查任务生成人编号
     */
    private Long jobCreator;
    /**
     * 核查任务生成人
     */
    private String jobCreatorName;

    /**
     * 核查日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date checkTime;

    /**
     * 分配日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date jobDistributionTime;

    //取消分配标志
    private Boolean delFlag = false;
}
