package com.diagbot.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description:
 * @author: rengb
 * @time: 2021/5/17 18:47
 */
@Getter
@Setter
@ApiModel("核查任务列表-获取核查任务列表-接口出参")
public class CheckedRecordListDTO {

    /**
     * 病人住院序号
     */
    @ApiModelProperty("病人住院序号")
    private String behospitalCode;

    /**
     * 病历核查状态
     */
    @ApiModelProperty("病历核查状态")
    private String status;

    /**
     * 科室Id
     */
    @ApiModelProperty("科室Id")
    private String behDeptId;
    /**
     * 任务来源
     */
    @ApiModelProperty("任务来源")
    private String jobTypeName;

    /**
     * 科室
     */
    @ApiModelProperty("科室")
    private String behDeptName;

    /**
     * 病人姓名
     */
    @ApiModelProperty("病人姓名")
    private String name;

    /**
     * 病案号
     */
    @ApiModelProperty("病案号")
    private String fileCode;

    /**
     * 主管医生
     */
    @ApiModelProperty("主管医生")
    private String doctorName;

    /**
     * 出院日期
     */
    @ApiModelProperty("出院日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date leaveHospitalDate;

    /**
     * 生成日期
     */
    @ApiModelProperty("生成日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date jobCreateTime;

    /**
     * 分配日期
     */
    @ApiModelProperty("分配日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date jobDistributionTime;

    /**
     * 任务月份
     */
    @ApiModelProperty("任务月份")
    @JsonFormat(pattern = "yyyy-MM", timezone = "GMT+8")
    private Date month;

    /**
     * 核查员id
     */
    @ApiModelProperty("核查员id")
    private Long checkId;

    /**
     * 核查员
     */
    @ApiModelProperty("核查员")
    private String checkName;

    /**
     * 核查日期
     */
    @ApiModelProperty("核查日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date checkTime;

    /**
     * 缺陷数
     */
    @ApiModelProperty("缺陷数")
    private int casesEntryNum;

    /**
     * 病历等级
     */
    @ApiModelProperty("病历等级")
    private String level;

    /**
     * 病历得分
     */
    @ApiModelProperty("病历得分")
    private BigDecimal scoreRes;

    /**
     * 年龄
     */
    @ApiModelProperty("年龄")
    private String age;

}