package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:病案首页合格率占比返回结构
 * @Author:zhaops
 * @time: 2020/6/5 17:32
 */
@Getter
@Setter
public class HomePageNumDTO {
    /**
     * 科室id（科室编码）
     */
    private String deptId;
    /**
     * 科室名称
     */
    @Excel(name = "科室", width = 30, orderNum = "1")
    private String deptName;
    /**
     * 主管医生id
     */
    private String doctorId;
    /**
     * 主管医生名称
     */
    private String doctorName;

    /**
     * 主管医生职称
     */
    private String professor;
    /**
     * 缺陷条目数
     */
    @Excel(name = "缺陷总数", orderNum = "2")
    private Integer entryNum = 0;
    /**
     * 病案首页不合格病历数
     */
    @Excel(name = "不合格数", orderNum = "3")
    private Integer secondLevelNum = 0;
    /**
     * 质控病历数
     */
    @Excel(name = "质控病历数", orderNum = "11")
    private Integer mrNum = 0;
    /**
     * 质控评分（总分）
     */
    private Double totleValue = 0d;
    /**
     * 质控评分（平均分）
     */
    @Excel(name = "质控平均分", orderNum = "10")
    private Double averageValue = 0d;
    /**
     * 病案首页合格病历数
     */
    @Excel(name = "合格数", orderNum = "4")
    private Integer firstLevelNum = 0;
    /**
     * 病案首页合格病历占比
     */
    private Double firstLevelPercent = 0.00d;
    /**
     * 病案首页不合格病历占比
     */
    private Double secondLevelPercent = 0.00d;
    /**
     * 病案首页合格病历占比（百分比）
     */
    @Excel(name = "合格率", orderNum = "5")
    private String firstLevelPercentStr = "0.00%";
    /**
     * 病案首页不合格病历占比（百分比）
     */
    private String secondLevelPercentStr = "0.00%";
    /**
     * 上级科室id（上级科室编码）
     */
    private String deptClassId;
    /**
     * 上级科室名称
     */
    private String deptClass;
    /**
     * 空项数
     */
    @Excel(name = "空项数", orderNum = "6")
    private Integer emptyNum = 0;
    /**
     * 错误数
     */
    @Excel(name = "错误数", orderNum = "8")
    private Integer errorNum = 0;
    /**
     * 完整率、完善率分母（质控病历数*病案首页条目数）
     */
    private Integer entryTotleNum = 0;
    /**
     * 完整率
     */
    private Double emptyPercent = 0.00d;
    /**
     * 完善率
     */
    private Double errorPercent = 0.00d;
    /**
     * 完整率（百分比）
     */
    @Excel(name = "完整率", orderNum = "7")
    private String emptyPercentStr = "0.00%";
    /**
     * 完善率（百分比）
     */
    @Excel(name = "完善率", orderNum = "9")
    private String errorPercentStr = "0.00%";
}
