package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/7/16 15:17
 */
@Getter
@Setter
public class ReBeHosDetailDTO {
    /**
     * 病人住院号
     */
    @Excel(name = "病人住院号", width = 20, orderNum = "1")
    private String behospitalCode;
    /**
     * 病人姓名
     */
    @Excel(name = "病人姓名", width = 20, orderNum = "2")
    private String name;


    /**
     * 病历等级
     */
    @Excel(name = "病历等级", width = 10, orderNum = "3")
    private String level;
    /**
     * 病历得分
     */
    @Excel(name = "病历得分", width = 10, orderNum = "4")
    private Double scoreRes;
    /**
     * 科室编码
     */
    private String behDeptId;
    /**
     * 科室
     */
    @Excel(name = "科室", width = 50, orderNum = "5")
    private String behDeptName;

    /**
     * 入院诊断
     */
    @Excel(name = "入院诊断", width = 50, needMerge = true, orderNum = "6")
    private String diagnose;

    /**
     * 出院诊断
     */
    @Excel(name = "出院诊断", width = 50, needMerge = true, orderNum = "7")
    private String diagnoseName;
    /**
     * 出院日期
     */
    @Excel(name = "出院日期", format = "yyyy-MM-dd", width = 30, orderNum = "8")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date leaveHospitalDate;
    /**
     * 入院日期
     */
    @Excel(name = "入院日期", format = "yyyy-MM-dd", width = 30, orderNum = "9")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date behospitalDate;
    /**
     * 住院天数
     */
    @Excel(name = "住院天数", width = 15, orderNum = "10")
    private String behospitalDayNum;
    /**
     * 住院费用
     */
    @Excel(name = "住院费用", width = 15, orderNum = "11")
    private String totleFee;

    private String age;

}