package com.diagbot.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

@Getter
@Setter
public class FilterRecordVO implements Serializable {
        private Integer type;
        /**
         * 起始时间
         */
        @NotBlank(message = "请输入起始时间")
        private String startDate;
        /**
         * 结束时间
         */
        @NotBlank(message = "请输入结束时间")
        private String endDate;

        /**
         * 医院id
         */
        @ApiModelProperty(hidden = true)
        private String hospitalId;
        /**
         * 限制条数
         */
        @ApiModelProperty(hidden = true)
        private Integer limitCount = 10;

        @ApiModelProperty(hidden = true)
        private Long userId;

        /**
         * 科室分类
         */
        private String deptClass;
        //科室名称
        private String deptName;

        private String level;
        /**
         * 是否归档（0：未归档，1：已归档）
         */
        private String isPlacefile = "1";


}
