package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 核查表
 * </p>
 *
 * @author wangfeng
 * @since 2020-07-06
 */
@Data
public class MedCheckInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 核查人id
     */
    private Long checkId;

    /**
     * 核查人
     */
    private String checkName;

    /**
     * 核查时间
     */
    private Date checkTime;

    /**
     * 核查状态（0未核查，1已核查）
     */
    private Integer status;

    /**
     * 核查类型（0病历，1病案首页,2全部）
     */
    private Integer checkType = 2;

    /**
     * 核查任务创建人编号
     */
    private Long jobCreator;

    /**
     * 核查任务创建人
     */
    private String jobCreatorName;

    /**
     * 核查任务生成时间
     */
    private Date jobCreateTime;

    /**
     * 核查任务类型（0-科室任务 1-院级 2-质控科）
     */
    private Integer jobType;

    /**
     * 核查任务分配人编号
     */
    private Long jobDistributor;

    /**
     * 核查任务分配人姓名
     */
    private String jobDistributionName;

    /**
     * 核查任务分配时间
     */
    private Date jobDistributionTime;


    @Override
    public String toString() {
        return "MedCheckInfo{" +
                "id=" + id +
                ", isDeleted=" + isDeleted +
                ", gmtCreate=" + gmtCreate +
                ", gmtModified=" + gmtModified +
                ", creator=" + creator +
                ", modifier=" + modifier +
                ", behospitalCode=" + behospitalCode +
                ", hospitalId=" + hospitalId +
                ", checkId=" + checkId +
                ", checkName=" + checkName +
                ", checkTime=" + checkTime +
                ", status=" + status +
                ", checkType=" + checkType +
                ", jobCreator=" + jobCreator +
                ", jobCreatorName=" + jobCreatorName +
                ", jobCreateTime=" + jobCreateTime +
                ", jobType=" + jobType +
                ", jobDistributor=" + jobDistributor +
                ", jobDistributionName=" + jobDistributionName +
                ", jobDistributionTime=" + jobDistributionTime +
                "}";
    }
}
