package com.diagbot.entity;

import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 医生点击质控病历次数基本表
 * </p>
 *
 * @author cy
 * @since 2021-11-10
 */
@Data
public class MedClickInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 科室ID
     */
    private String deptId;

    /**
     * 科室名称
     */
    private String deptName;

    /**
     * 医生ID
     */
    private String doctorId;

    /**
     * 医生姓名
     */
    private String doctorName;

    /**
     * 0-单模块质控 1-全病历质控
     */
    private Long optType;

    /**
     * 质控结果基本信息ID
     */
    private Long qcresultInfoId;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     *  记录创建时间
     */
    private Date gmtCreate;

    /**
     *  记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;
}
