package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author cy
 * @since 2021-04-26
 */
@Data
public class MedIndexResult implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 医院id
     */
    private String hospitalId;

    /**
     * 入院记录24小时内完成率--分母
     */
    private Double admissionResult;

    /**
     * 手术记录24小时内完成率--分母
     */
    private Double operationResult;

    /**
     * 出院记录24小时内完成率--分母
     */
    private Double leaveHospitalResult;

    /**
     * 病案首页24小时内完成率--分母
     */
    private Double medHomeResult;

    /**
     * CT检查记录符合率--分母
     */
    private Double ctResult;

    /**
     * MRI检查记录符合率--分母
     */
    private Double mriResult;

    /**
     * 病理检查记录符合率--分母
     */
    private Double pathologyResult;

    /**
     * 细菌培养检查记录符合率--分母
     */
    private Double germResult;

    /**
     * 抗菌药物使用记录符合率--分母
     */
    private Double antibiosisResult;

    /**
     * 恶性肿瘤化学治疗记录符合率--分母
     */
    private Double tumorChemistryResult;

    /**
     * 恶性肿瘤放射治疗记录符合率--分母
     */
    private Double tumorRadiationResult;

    /**
     * 手术相关记录完成率--分母
     */
    private Double operationCompleteResult;

    /**
     * 植入物相关记录符合率--分母
     */
    private Double implantsResult;

    /**
     * 临床用血相关记录符合率--分母
     */
    private Double bloodResult;

    /**
     * 患者抢救记录及时完成率--分母
     */
    private Double rescueResult;

    /**
     * 出院患者病历2日归档率--分子
     */
    private Double secFileResult;

    /**
     * 出院患者病历归档完整率--分子
     */
    private Double fileCompleteResult;

    private String startDate;

    private String endDate;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;
}
