package com.diagbot.enums;

import java.util.Arrays;
import java.util.List;

/**
 * 新指标常用常量
 */
public class QualityContent {
    public static final String recordNumber = "关联首页表质控病历人数";
    public static final String NoRecordNumberId = "无病案首页病历ID";
    public static final String DISCHARGED_PATIENTS = "出院人数";
    public static final String NUMBER_OF_HOSPITAL = "入院人数";
    public static final String NO_RECORD_OPERATION = "无病案首页手术患者";
    public static final String NO_RECORD_OPERATION_PATHOLOGY = "无病案首页手术病理患者";
    public static final double pathologyFee = 68.00;
    /**
     * 是否需要用到医嘱的指标名称
     */
    public static List<String> NO_MEDICAL_ADVICE = Arrays.asList("",
            "入院记录24小时内完成率","出院记录24小时内完成率","病案首页24小时内完成率"
    );
    public static List<String> NEED_MEDICAL_ADVICE = Arrays.asList("",
            "手术记录24小时内完成率","手术相关记录完成率","患者抢救记录及时完成率","临床用血相关记录符合率","CT检查记录符合率","MRI检查记录符合率","病理检查记录符合率","抗菌药物使用记录符合率","恶性肿瘤化学治疗记录符合率"
    );
    /**
     * 关联首页无code需要去医嘱查询指标
     */
    public static List<String> NORecord_NEED_MEDICAL_ADVICE = Arrays.asList("",
            "手术记录24小时内完成率","病理检查记录符合率","抗菌药物使用记录符合率"
    );
    /**
     * 所有指标名称
     */

    public static final String QB = "";
    public static final String ZYBA_CYHZ = "住院病案管理人员月均负担出院患者病历数";
    public static final String BABM_CYHZ = "病案编码人员月均负担出院患者病历数";
    public static final String MZBA_CYHZ = "门诊病案管理人员月均负担门诊患者病历数";
    public static final String RYJL_24H_WCL = "入院记录24小时内完成率";
    public static final String CYJL_24H_WCL = "出院记录24小时内完成率";
    public static final String BASY_24H_WCL = "病案首页24小时内完成率";
    public static final String SSJL_24H_WCL = "手术记录24小时内完成率";
    public static final String CT_JCJL_FHL = "CT检查记录符合率";
    public static final String MR_JCJL_FHL = "MRI检查记录符合率";
    public static final String BL_JCJL_FHL = "病理检查记录符合率";
    public static final String XJPY_JCJL_FHL = "细菌培养检查记录符合率";
    public static final String KJYW_SY_FHL = "抗菌药物使用记录符合率";
    public static final String EXZL_HXZL_FHL = "恶性肿瘤化学治疗记录符合率";
    public static final String EXZL_FSZL_FHL = "恶性肿瘤放射治疗记录符合率";
    public static final String SS_XGJL_WCL = "手术相关记录完成率";
    public static final String ZRW_XGJL_WCL = "植入物相关记录符合率";
    public static final String LCYX_XGJL_WCL = "临床用血相关记录符合率";
    public static final String YSCF_JL_WCL = "医师查房记录完成率";
    public static final String HZQJ_JLJS_WCL = "患者抢救记录及时完成率";
    public static final String CCHZ_2DAY_GDL = "出院患者病历2日归档率";
    public static final String CCHZ_GD_WZL = "出院患者病历归档完整率";
    public static final String BHL_FZ_FSL = "不合理复制病历发生率";
    public static final String ZQTYS_GF_QSL = "知情同意书规范签署率";
    public static final String JJBLL = "甲级病历率";
    /**
     * 触发规则指标
     */
    public static final String RYJLWWC_24H = "residentAdmitNote";
    public static final String SSJLWCC_24H = "operationNote";
    public static final String CYJLWWC_24H = "dischargeRecord";
    public static final String BASYWWC_24H = "medicalRecord";
    /**
     * 医嘱类型
     */
    public static final String STANDING_ORDER = "长期医嘱";
    public static final String STAT_ORDER = "临时医嘱";
    /**
     * 医嘱状态
     */
    public static final String EXECUTE_ORDER = "执行";
    public static final String IN_USE = "在用";
    public static final String CANCELLATION_ORDER = "作废";
    /**
     * 医嘱判断相关
     */
    public static final String STOP = "停";
    public static final String LAST = "前一次";
    public static final String COUNTERMAND = "取消";
    public static final String PAUSE = "暂停";
    public static final String BACTERIAL_CULTURE = "细菌培养";
    /**
     * 病理判断
     */
    public static String[][] BL_LIST = {{"病理"}};

    /**
     * 医嘱CT相关
     */
    public static String[][] CT_LIST = {{"CT"},{"X线"}};
    public static String[][] CT_REGULATION = {{"ATCH"},{"TCT"},{"HCT"},{"OCT"},{"NCT"},{"LCT"},{"ACT"},{"取消"},{"暂停"}};

    /**
     * 医嘱手术相关
     */
    public static String[][] OPERATION_LIST={
            {"手术"}
    };
    public static String[][] OPERATION_ARG={
            {"非手术"},
            {"手术室"},
            {"手术","取消"},
            {"暂停","手术"},
            {"静脉穿刺置管术"},
            {"停"},
            {"前一次"},
            {"特殊病人手术使用一次性卫生材料"},
            {"人免疫缺陷病毒抗体检测免费"}
    };


    /**
     * 医嘱MR相关
     */
    public static final String MR = "MR";
    public static String[][] MR_LIST = {{"MR"},{"磁共振"}};
    public static String[][] MR_REGULATION = {{"IMRT"},{"mrs评分"},{"取消"}};
    /**
     * 抗菌药物目录
     */
    public static List<String> Antimicrobial_Drug_List = Arrays.asList(
            "呋喃妥因", "呋喃唑酮", "盐酸小檗碱", "大蒜素", "鱼腥草素钠", "磺胺嘧啶", "甲氧苄啶", "复方磺胺甲恶唑",
            "磺胺嘧啶银", "磺胺嘧啶锌", "盐酸四环素", "盐酸土霉素", "盐酸多西环素", "盐酸米诺环素", "盐酸美他环素", "硫酸庆大霉素", "硫酸链霉素"
    );
    /**
     * 化疗药物目录
     */
    public static List<String> Chemotherapy_Drug_List = Arrays.asList(
            "注射用盐酸表柔比星", "注射用盐酸吡柔比星", "注射用环磷酰胺", "卡铂注射液", "注射用奥沙利铂", "注射用阿糖胞苷", "注射用盐酸吉西他滨", "注射用甲氨蝶呤",
            "注射用盐酸伊立替康", "紫杉醇注射液", "注射用培美曲塞二钠", "高三尖杉酯碱注射液", "注射用硫酸长春地辛", "多西他赛注射液", "注射用曲普瑞林", "注射用盐酸博来霉素", "注射用地西他滨",
            "盐酸伊立替康注射液", "注射用盐酸托泊替康", "注射用氟尿嘧啶", "注射用达卡巴嗪", "醋酸戈舍瑞林缓释植入剂", "顺铂注射液"
    );

    /**
     * 抢救药物  维护修改
     */

    public static List<String> RESCUEDRUGLIST = Arrays.asList(
            "尼可刹米","可拉明","盐酸洛贝林","山梗菜碱","肾上腺素","阿拉明", "重酒石酸间羟胺", "多巴胺", "利血平", "25%硫酸镁注射液", "垂体后叶素","注射用血凝酶", "阿托品","氯解磷定注射液","盐酸纳洛酮","异丙嗪", "非那更","地西泮", "安定","20%甘露醇");


    /**
     *   临床用血
     */
    public static List<String> BLOODLIST = Arrays.asList(
            "交叉配血","血交叉");

    /**
     * 用于代码判断指标1、2、3执行路径
     */
    public static List<String> FOURSTR = Arrays.asList(
            "住院病案管理人员月均负担出院患者病历数", "病案编码人员月均负担出院患者病历数", "门诊病案管理人员月均负担门诊患者病历数");

    // 放疗药物目录
    public static List<String> radiotherapyDrugList = Arrays.asList(
            "艾迪注射液", "康艾注射液", "康莱特注射液", "鸦胆子油乳注射液", "榄香烯乳注射液", "香菇多糖", "胎盘多肽注射液", "甘露聚糖肽注射液",
            "脾多肽注射液", "E巨和粒", "欣粒生", "特尔津", "日达仙注射剂", "益比奥", "特比澳", "胸腺五肽", "古拉定","天晴甘美", "易善复", "己糖神经节苷脂钠",
            "核糖核酸II", "参芪扶正注射液", "甘露醇注射液", "兰索拉唑", "奥西康", "卡络磺钠注射液", "维生素K1注射液", "氨甲苯酸注射液", "酚磺乙胺注射液",
            "盐酸甲氧氯普胺注", "甲磺酸托烷司琼注射液", "伊班膦酸钠注射液", "唑来膦酸", "盐酸氨溴索注射液","氨茶碱注射液", "孟鲁司特钠片", "阿托伐他汀钙片",
            "阿卡波糖片", "盐酸二甲双胍片", "瑞格列奈片", "格列齐特片","拉米夫定片","耐信","益血生胶囊","地榆升白片", "鲨肝醇片", "复方皂矾丸", "加巴喷丁胶囊",
            "塞来昔布胶囊", "氨酚曲马多片", "盐酸羟考酮缓释片","硫酸吗啡缓释片", "盐酸吗啡片","复方甲氧那明胶囊","醋酸甲地孕酮分散","枸橼酸托瑞米芬片","标准桃金娘油肠溶",
            "甲氧氯普胺片","多潘立酮片"
    );
}



