package com.diagbot.facade;

import com.diagbot.dto.BasDeptInfoDTO;
import com.diagbot.service.impl.BasDeptInfoServiceImpl;
import com.diagbot.util.SysUserUtils;
import com.diagbot.vo.BasDeptInfoVO;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/4/27 18:58
 */
@Component
public class BasDeptInfoFacade extends BasDeptInfoServiceImpl {

    /**
     * 获取医院科室下拉列表信息
     *
     * @param basDeptInfoVO 搜索参数
     * @return 医院科室下拉列表信息
     */
    public List<BasDeptInfoDTO> listForUser(BasDeptInfoVO basDeptInfoVO) {
        basDeptInfoVO.setHospitalId(Long.valueOf(SysUserUtils.getCurrentHospitalID()));
        listForUserSet(basDeptInfoVO);
        List<BasDeptInfoDTO> basDeptInfoDTOList = this.getList(basDeptInfoVO);
        return basDeptInfoDTOList;
    }
    private void listForUserSet(BasDeptInfoVO basDeptInfoVO) {
        if (StringUtils.isNotBlank(basDeptInfoVO.getInputStr())) {
            String tranStr = basDeptInfoVO.getInputStr();
            if( tranStr.contains("%")){
                tranStr = tranStr.replace("%", "\\%");
                basDeptInfoVO.setInputStr(tranStr);
            }
            if( tranStr.contains("_")){
                tranStr = tranStr.replace("_","\\_");
                basDeptInfoVO.setInputStr(tranStr);
            }
        }
    }

    /**
     * 获取医院用户下拉列表信息
     *
     * @param basDeptInfoVO 搜索参数
     * @return 医院用户下拉列表信息
     */
    public List<BasDeptInfoDTO> getListUserFac(BasDeptInfoVO basDeptInfoVO) {
        basDeptInfoVO.setUserId(Long.valueOf(SysUserUtils.getCurrentPrincipleID()));
        basDeptInfoVO.setHospitalId(Long.valueOf(SysUserUtils.getCurrentHospitalID()));
        List<BasDeptInfoDTO> basDeptInfoDTOList = this.getListUser(basDeptInfoVO);
        return basDeptInfoDTOList;
    }
}
