package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @description: 分配任务入参对象-分页
 * @author: songxl
 * @time: 2021/05/17
 */
@Data
public class CheckJobPageVO extends Page implements Serializable {
    private static final long serialVersionUID = 1L;
    //生成任务开始时间
    @ApiModelProperty("生成任务开始时间，格式为：yyyy-MM-dd")
    private String startTime;
    //生成任务结束时间
    @ApiModelProperty("生成任务结束时间，格式为：yyyy-MM-dd")
    private String endTime;
    //出院开始时间
    @ApiModelProperty("出院开始时间，格式为：yyyy-MM-dd")
    private String behosDateStart;
    //出院结束时间
    @ApiModelProperty("出院结束时间，格式为：yyyy-MM-dd")
    private String behosDateEnd;
    //任务类型
    @ApiModelProperty("任务类型 0-科室任务 1-院级 2-质控科")
    private String jobType;
    //核查用户id
    @ApiModelProperty("核查用户id")
    private String checkId;
    //病人姓名
    @ApiModelProperty("病人姓名")
    private String name;
    //病人住院序号
    @ApiModelProperty("病人住院序号")
    private String behospitalCode;
    //主诊断医生
    @ApiModelProperty("主诊断医生")
    private String doctorName;
    //科室id集合
    @ApiModelProperty(hidden = true)
    private List<String> deptList;
    //筛选分值集合
    @ApiModelProperty("筛选分值集合")
    private List<String> values;



}
