package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.List;

/**
 * @description: 分配任务入参对象
 * @author: songxl
 * @time: 2021/05/17
 */
@Data
public class CheckJobVO {
    //生成任务开始时间
    @ApiModelProperty("生成任务开始时间，格式为：yyyy-MM-dd")
    private String startTime;
    //生成任务结束时间
    @ApiModelProperty("生成任务结束时间，格式为：yyyy-MM-dd")
    private String endTime;
    //出院开始时间
    @ApiModelProperty("出院开始时间，格式为：yyyy-MM-dd")
    private String behosDateStart;
    //出院结束时间
    @ApiModelProperty("出院结束时间，格式为：yyyy-MM-dd")
    private String behosDateEnd;
    //核查用户id
    @ApiModelProperty("核查用户id")
    private String checkId;
    //任务类型
    @ApiModelProperty(hidden = true)
    private String jobType;
    //病人姓名
    @ApiModelProperty(hidden = true)
    private String name;
    //病人住院序号
    @ApiModelProperty(hidden = true)
    private String behospitalCode;
    //主诊断医生
    @ApiModelProperty(hidden = true)
    private String doctorName;
    //科室id集合
    @ApiModelProperty(hidden = true)
    private List<String> deptList;



}
