package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 核查患者病历信息
 * </p>
 *
 * @author wangsy
 * @since 2021-05-13
 */
@Data
public class CheckWorkPageVO extends Page implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 出院开始时间
     */
    @ApiModelProperty("出院开始时间")
    private Date startDate;

    /**
     * 出院结束时间
     */
    @ApiModelProperty("出院结束时间")
    private Date endDate;

    /**
     * 生成状态[0-未生成 1-已生成（默认未生成）]
     */
    @ApiModelProperty("生成状态[0-未生成 1-已生成（默认未生成）]")
    private String creatStatus="0";

    /**
     * 核查任务类型(0-科室任务 2-院级 1-质控科)
     */
    private String jobType;

    /**
     * 医院ID
     */

    @ApiModelProperty(hidden = true)
    private Long hospitalId;

    /**
     * 病人住院序号
     */
    @ApiModelProperty("病人住院序号")
    private String behospitalCode;

    /**
     * 科室编号集合
     */
    @ApiModelProperty("科室编号集合")
    private List<String> department;
    /**
     * 病人住院序号集合
     */
    @ApiModelProperty(hidden = true)
    private List<String> behospitalCodes;

    /**
     * 病历等级
     */
    @ApiModelProperty("病历等级")
    private String level;

    /**
     * 病人姓名
     */
    @ApiModelProperty("病人姓名")
    private String name;

    /**
     * 医生姓名
     */
    @ApiModelProperty("医生姓名")
    private String doctorName;

    /**
     * 主诊断
     */
    @ApiModelProperty("主诊断")
    private String diagnose;

    /**
     * 最小天数
     */
    @ApiModelProperty("最小天数")
    private Integer smallDay;

    /**
     * 最大天数
     */
    @ApiModelProperty("最大天数")
    private Integer bigDay;

    /**
     * 是否归档（0：未归档，1：已归档）
     */
    @ApiModelProperty("是否归档（0：未归档，1：已归档）")
    private String isPlacefile = "1";
    //筛选分值集合
    @ApiModelProperty("筛选分值集合")
    private List<String> values;
}
