package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description:
 * @author: rengb
 * @time: 2021/5/17 18:48
 */
@Getter
@Setter
@ApiModel("核查任务列表-获取核查任务列表-接口入参")
public class CheckedRecordListVO extends Page implements Serializable {

    /**
     * 病历核查状态
     */
    @ApiModelProperty("病历核查状态，0-未核查，1-已核查")
    private Integer status;

    /**
     * 任务类型
     */
    @ApiModelProperty("任务类型，0-科室任务 1-院级 2-质控科")
    private List<String> checkJobTypes;

    /**
     * 科室
     */
    @ApiModelProperty("科室")
    private String behDeptId;

    /**
     * 病人姓名
     */
    @ApiModelProperty("病人姓名")
    private String name;

    /**
     * 病人住院序号
     */
    @ApiModelProperty("病人住院序号")
    private String behospitalCode;

    /**
     * 医生姓名
     */
    @ApiModelProperty("医生姓名")
    private String doctorName;

    /**
     * 分配日期起始日期
     */
    @ApiModelProperty("分配日期起始日期，格式为：2018-11-28")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date jobDistributionTimeStart;

    /**
     * 分配日期终止日期
     */
    @ApiModelProperty("分配日期终止日期，格式为：2018-11-28")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date jobDistributionTimeEnd;

    /**
     * 核查员
     */
    @ApiModelProperty("核查员")
    private String checkName;

    /**
     * 病历等级
     */
    @ApiModelProperty("病历等级")
    private String level;

    /**
     * 当前用户归属科室Id集合，多个科室用英文逗号隔开
     */
    @ApiModelProperty(hidden = true)
    private String currentDeptIds;

    /**
     * 当前用户下级普通质控员Id集合
     */
    @ApiModelProperty(hidden = true)
    private List<Long> currentGeneralUserIds;

    /**
     * 当前用户归属医院Id
     */
    @ApiModelProperty(hidden = true)
    private long hospitalId;

}