package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/5/19 13:39
 */
@Getter
@Setter
public class FilterOrderXYPageVO extends Page {
    /**
     * 医院id
     */
    @ApiModelProperty(hidden = true)
    private String hospitalId;
    /**
     * 医生id
     */
    @ApiModelProperty(hidden = true)
    private Long userId;
    /**
     * 科室名称
     */
    private String deptName;

    /**
     * 科室id
     */
    private String deptId;


    /**
     * 医生名称
     */
    private String doctorName;
    private String isPlacefile;
    /**
     * 医生Id
     */
    private String doctorId;

    /**
     * 医师类型-取自病案首页医师字段含义
     */
    private String professor;
    /**
     * 起始时间
     */
    @NotBlank(message = "请输入起始时间")
    private String startDate;
    /**
     * 结束时间
     */
    @NotBlank(message = "请输入结束时间")
    private String endDate;
}
