package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/6/16 17:00
 */
@Getter
@Setter
public class GetEntryDefectImproveInnerVO extends Page {
    @ApiModelProperty(hidden = true)
    private Long userId;
    @ApiModelProperty(hidden = true)
    private Long hospitalId;
    /**
     * 病历号
     */
    private String behospitalCode;
    /**
     * 病人姓名
     */
    private String patName;


    /**
     * 条目id
     */
    private String entryId;

    /**
     * 条目缺陷名称
     */
    private String entryName;

    /**
     * 主诊断
     */
    private String diagnose;

    /**
     * 科室id
     */
    private String deptId;

    /**
     * 科室名称
     */
    private String deptName;

    /**
     * 医生编号
     */
    private String doctorId;

    /**
     * 医生姓名
     */
    private String doctorName;

    /**
     * 病历等级
     */
    private String level;

    @NotNull(message = "请输入起始时间")
    private String startDate;

    @NotNull(message = "请输入截止时间")
    private String endDate;

    /**
     * 核查状态（1：已核查，0：未核查）
     */
    private Integer checkStatus;

    /**
     * 病历核查人员
     */
    private String chName;

    /**
     * 病历核查起始时间
     */
    private String chTimeStart;
    /**
     * 病历核查截止时间
     */
    private String chTimeEnd;

    /**
     * 总数量-0，已改善数量-1，待改善数量-2
     */
    private String typeMark;

    /**
     * 排序（升序）
     */
    private String asc;

    /**
     * 排序（降序）
     */
    private String desc;

    /**
     * 0-不导出 1-导出
     */
    private Long exportType = 0L;
}
