package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author songxl
 * @Description:核查任务添加对象
 * @author songxl
 * @since 2021-05-11
 */
@Getter
@Setter
public class MedCheckWorkAddVO {
    @ApiModelProperty(hidden = true)
    private Long hospitalId;            //医院id
    @ApiModelProperty("病历id集合")
    private List<String> behospitalCodeList = new ArrayList<>(); // 病历id
    @ApiModelProperty(hidden = true)
    private String jobCreator;         // 创建用户编号
    @ApiModelProperty("任务类型 0-科室任务 1-院级 1-质控科")
    private Integer jobType;           // 任务类型 0-科室任务 1-院级 1-质控科
    @ApiModelProperty("操作类型 0-取消，1-添加")
    private Integer checkStatus;        // 操作类型 0-取消，1-添加
    @ApiModelProperty("操作时间")
    private String createTime;          // 操作时间
    @ApiModelProperty("核查类型 0病历，1病案首页,2全部 默认")
    private Integer checkType=2;          // 核查类型 0病历，1病案首页,2全部 默认
}
