package com.diagbot.vo;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 医生点击质控病历次数基本表
 * </p>
 *
 * @author cy
 * @since 2021-11-10
 */
@Data
public class MedClickInfoVO implements Serializable {

    /**
     * 医院ID
     */
    @NotNull(message = "请输入医院id")
    private Long hospitalId;

    /**
     * 科室ID
     */
    @NotBlank(message = "请输入科室id")
    private String deptId;

    /**
     * 科室名称
     */
    @NotBlank(message = "请输入科室名称")
    private String deptName;

    /**
     * 医生ID
     */
    @NotBlank(message = "请输入医生id")
    private String doctorId;

    /**
     * 医生姓名
     */
    @NotBlank(message = "请输入医生姓名")
    private String doctorName;

    /**
     * 病人住院ID
     */
    @NotBlank(message = "请输入病历住院id")
    private String behospitalCode;

    /**
     * 0-单模块质控 1-全病历质控
     */
    private Long optType;

}
