package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/4/15 16:04
 */
@Getter
@Setter
public class MedIndexFilterVO {
    /**
     * 统计维度 1-本月，2-本年
     */
    //@NotNull(message = "请输入本年或本月")
    private Integer type;
    /**
     * 起始时间
     */
    @NotBlank(message = "请输入起始时间")
    private String startDate;
    /**
     * 结束时间
     */
    @NotBlank(message = "请输入结束时间")
    private String endDate;

    /**
     * 开始时间转化当月的第一天
     */
    @ApiModelProperty(hidden = true)
    private String lastStartDate;
    /**
     * 结束时间转化当月的最后天
     */
    @ApiModelProperty(hidden = true)
    private String lastEndDate;

    /**
     * 医院id
     */
    @ApiModelProperty(hidden = true)
    private String hospitalId;
    /**
     * 限制条数
     */
    @ApiModelProperty(hidden = true)
    private Integer limitCount = 10;

    @ApiModelProperty(hidden = true)
    private Long userId;

    /**
     * 科室分类
     */
    private String deptClass;
    //科室名称
    private String deptName;

    private String level;
    /**
     * 是否归档（0：未归档，1：已归档）
     */
    private String isPlacefile = "1";

    /**
     * 辅助标识
     */
    private String flagStr = "0";

    /**
     * 指标名称
     */
    private String indexName = "";
}
