package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/6/16 17:00
 */
@Getter
@Setter
public class QcResultPageXYVO extends Page {
    @ApiModelProperty(hidden = true)
    private Long userId;
    @ApiModelProperty(hidden = true)
    private String hospitalId;
    /**
     * 病历号
     */
    private String behospitalCode;
    /**
     * 病人姓名
     */
    private String patName;

    /**
     * title名称
     */
    private String titleName;

    /**
     * 条目名称
     */
    private String casesEntryName;

    /**
     * 主诊断
     */
    private String diagnose;

    /**
     * 条目id
     */
    private Long casesEntryId;
    /**
     * 模块名称
     */
    private String casesName;
    /**
     * 模块id
     */
    private Long casesId;
    /**
     * 科室名称
     */
    private String deptName;
    /**
     * 科室id
     */
    private String deptClass;

    /**
     * 科室id
     */
    private String deptId;

    /**
     * 医生姓名
     */
    private String doctorName;

    /**
     * 医师类别
     */
    private String professor;
    /**
     * 医生编号
     */
    private String doctorId;
    /**
     * 病历等级
     */
    private String level;
    @NotNull(message = "请输入起始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd  HH:mm:ss")
    private String startDate;
    @DateTimeFormat(pattern = "yyyy-MM-dd  HH:mm:ss")
    @NotNull(message = "请输入截止时间")
    private String endDate;

    /**
     * 单项否决
     */
    private Integer isReject;

    /**
     * 规则类型(0：无，1：空项，2：错误)
     */
    private Integer ruleType;

    /**
     * 离院人员类型（0/null：总人数，1：死亡人数，2：新生儿，3：手术病人数，4：非医嘱离院病人，5:31日再入院病人）
     */
    private Integer leaveHosType;

    /**
     * 核查状态（1：已核查，0：未核查）
     */
    private Integer checkStatus;
    /**
     * 首页核查状态（1：已核查，0：未核查）
     */
    private Integer mrStatus;
    /**
     * 病历核查人员
     */
    private String chName;
    /**
     * 首页核查人员
     */
    private String mrName;
    /**
     * 病历核查起始时间
     */
    private Date chTimeStart;
    /**
     * 病历核查截止时间
     */
    private Date chTimeEnd;
    /**
     * 首页核查起始时间
     */
    private Date mrTimeStart;
    /**
     * 首页核查截止时间
     */
    private Date mrTimeEnd;
    /**
     * 是否归档（0：未归档，1：已归档）
     */
    private String isPlacefile = "1";

    /**
     * 住院超过31日标志
     */
    private Integer beHosGT31Days;

    /**
     * 改善标志（1：病案首页改善病历，2：病案首页改善至合格病历，3：病案首页改善至满分病历）
     */
    private Integer improveType;
}
